Subject: Re: [wellknown-uri-review] Request for well-known URI: genid

From: Eran Hammer-Lahav <[email-masked]>
Date: Sun, 4 Sep 2011 15:31:33 -0700

No. You can ask the DE (currently me) to register based on my assessment if the specification and registration is sufficiently stable.

EHL

> -----Original Message-----
> From: [email-masked] [mailto:wellknown-uri-
> [email-masked]] On Behalf Of Mykyta Yevstifeyev
> Sent: Wednesday, August 31, 2011 9:32 AM
> To: [email-masked]
> Subject: Re: [wellknown-uri-review] Request for well-known URI: genid
> 
> 31.08.2011 18:48, Sandro Hawke wrote:
> > The W3C RDF Working Group is producing a specification for how RDF
> > blank nodes can be safely and usefully mapped (Skolemized) into IRIs,
> > through the use of well-known URIs.  The latest Working Draft of "RDF
> > 1.1 Concepts and Abstract Syntax" includes such a spec as section 6.6.1.
> >
> > The permanent URL for this latest version of this text is:
> >
> > http://www.w3.org/TR/2011/WD-rdf11-concepts-20110830/#section-
> skolemiz
> > ation
> >
> > I don't know whether this should be registered now, or if we should
> > wait until the document is farther along the W3C standards track.  The
> > Working Group has consensus on the current design and the string
> > "genid" [1], but there has not yet been wide public review, and the
> > document is still a Working Draft. The current schedule [2] has the
> > document completing its public review phase and becoming a Candidate
> > Recommendation in August 2012; perhaps we should wait until then, as
> > long as no one else is going to use the string in the meantime.
> 
> Well, you may ask IANA to register it now but update the registration when
> the recommendation level is reached.
> 
> >
> > Also, should the registration template go in an email like this one,
> > or be an appendix to the spec?
> 
> You could have the IANA Considerations section with the template and
> request for the action.
> 
> Mykyta Yevstifeyev
> 
> >
> > Thanks for your help,
> >
> >     -- Sandro   (W3C staff contact, RDF Working Group)
> >
> > [1] http://www.w3.org/2011/rdf-wg/meeting/2011-05-25#resolution_2
> > [2] http://www.w3.org/2011/01/rdf-wg-charter#deliverables
> >
> > _______________________________________________
> > wellknown-uri-review mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/wellknown-uri-review
> >
> 
> _______________________________________________
> wellknown-uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/wellknown-uri-review

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Sun, 4 Sep 2011 15:32:16 -0700

I would prefer waiting until it is considered stable (both document and definition). I am happy to perform an early review if you submit the complete template.

EHL

> [email-masked]] On Behalf Of Sandro Hawke
> Sent: Wednesday, August 31, 2011 8:49 AM
> To: IETF wellknown-uri Review List
> Subject: [wellknown-uri-review] Request for well-known URI: genid
> 
> The W3C RDF Working Group is producing a specification for how RDF blank
> nodes can be safely and usefully mapped (Skolemized) into IRIs, through the
> use of well-known URIs.  The latest Working Draft of "RDF 1.1 Concepts and
> Abstract Syntax" includes such a spec as section 6.6.1.
> 
> skolemization
> I don't know whether this should be registered now, or if we should wait
> until the document is farther along the W3C standards track.  The Working
> Group has consensus on the current design and the string "genid" [1], but
> there has not yet been wide public review, and the document is still a
> Working Draft. The current schedule [2] has the document completing its
> public review phase and becoming a Candidate Recommendation in August
> 2012; perhaps we should wait until then, as long as no one else is going to use
> the string in the meantime.
> 
> Also, should the registration template go in an email like this one, or be an
> appendix to the spec?
> 
> Thanks for your help,
>